package be.authtest.vaadin.oauth;

import java.io.IOException;

import javax.security.auth.callback.Callback;
import javax.security.auth.callback.CallbackHandler;
import javax.security.auth.callback.TextInputCallback;
import javax.security.auth.callback.UnsupportedCallbackException;

/**
 * CallbackHandler that simply returns the Google code to the caller. <br/>
 * @author LDK
 *
 */
public class GoogleCallbackHandler implements CallbackHandler {
	private String code;
	
	
	public GoogleCallbackHandler(String code) {
		this.code = code;
	}

	
	@Override
	public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException {
		for (Callback callBack : callbacks) {
			if (callBack instanceof TextInputCallback) {
				((TextInputCallback)callBack).setText(this.code);
			}
		}
	}
}
