package be.authtest.vaadin.ui;

import java.util.Date;

import javax.inject.Inject;
import javax.servlet.ServletException;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.Widgetset;
import com.vaadin.cdi.CDIUI;
import com.vaadin.cdi.access.JaasAccessControl;
import com.vaadin.server.Page;
import com.vaadin.server.VaadinRequest;
import com.vaadin.ui.Button;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.v7.ui.Label;
import com.vaadin.ui.UI;
import com.vaadin.v7.ui.VerticalLayout;


@Theme("valo")
@CDIUI("welcome")
@SuppressWarnings("serial")
@Widgetset("com.vaadin.v7.Vaadin7WidgetSet")
public class MyVaadinUI extends UI {


	@Override
	protected void init(VaadinRequest request) {
		final VerticalLayout layout = new VerticalLayout();
		
		layout.setMargin(true);
		setContent(layout);

		try {
			Button button = new Button("Click to call bean");
			button.addClickListener(new Button.ClickListener() {
				@Override
				public void buttonClick(ClickEvent event) {
					try {
						String user = JaasAccessControl.getCurrentRequest().getRemoteUser();
						System.out.println("Remote user : " + user);
						String label = user;
						layout.addComponent(new Label(label));
						System.out.println(label);
					}
					catch (Exception nex) {
						System.err.println(nex.getMessage());
					}
				}
			});
			layout.addComponent(button);
			
			Button logout = new Button("logout");
	        logout.addClickListener(new Button.ClickListener() {
	            @Override
	            public void buttonClick(ClickEvent event) {
	                try {
	                    JaasAccessControl.logout();
	                    Page page = Page.getCurrent();
	                    page.setLocation(page.getLocation());
	                } catch (ServletException e) {
	                    // TODO handle exception
	                    e.printStackTrace();
	                }
	            }
	        });

	        layout.addComponent(logout);
	        
		} catch (Exception e) {
			e.printStackTrace();
			System.err.println(e.getMessage());
		}
	}


}
