package be.authtest.vaadin.ui;

import com.vaadin.annotations.Theme;
import com.vaadin.cdi.CDIUI;
import com.vaadin.server.VaadinRequest;
import com.vaadin.ui.UI;
import com.vaadin.v7.ui.Label;
import com.vaadin.v7.ui.ListSelect;
import com.vaadin.v7.ui.VerticalLayout;

/**
 * Tryout select lists 
 * @author LDK
 *
 */
@Theme("valo")
@CDIUI("select")
@SuppressWarnings("serial")
public class SelectUI extends UI {

    @Override
    protected void init(VaadinRequest request) {
        final VerticalLayout layout = new VerticalLayout();
        layout.setMargin(true);
        setContent(layout);

        ListSelect status = new ListSelect("Status");
        status.addItem(0);
		status.setItemCaption(0, "Disabled");
		status.addItem(1);
		status.setItemCaption(1, "Active");
		status.addItem(2);
		status.setItemCaption(2,"Disabled");
		status.setNullSelectionAllowed(false);
		status.setRows(3);
		//status.setValue(0);
		
		status.addValueChangeListener(event ->
				layout.addComponent(new Label("Selected " + event.getProperty().getValue())));
        
		
        layout.addComponent(status);

    }
}
